← Tables

Ireland

Ulster Senior Cup Group 2

#TeamPWDLPDPtsForm
1Instonians RFC3300–14WW
2Clogher Valley RFC3201–10WWL
3Ballymena RFC3102–6LLW
4Queen’s University RFC3003–-4LL

Source: Ulster Rugby · checked Oct 14, 05:50 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.